
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PGL_POLY_MIX_3_ADDRESS_SCHEME_H
#define PGL_POLY_MIX_3_ADDRESS_SCHEME_H

#include "pgl/VerThreeAsSym.h"

// PolyMix-3 addressing scheme
class PolyMix3AsSym: public VerThreeAsSym {
	public:
		PolyMix3AsSym();
		PolyMix3AsSym(const String &aType, PglRec *aRec);

		virtual bool isA(const String &type) const;

	protected:
		virtual SynSym *dupe(const String &dType) const;

		virtual String robots(ArraySym *&addrs) const;
		virtual String servers(ArraySym *&addrs) const;
};

#endif
