
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PGL_SERVER_LB_4_ADDRESS_SCHEME_H
#define PGL_SERVER_LB_4_ADDRESS_SCHEME_H

#include "pgl/VerFourAsSym.h"

// SrvLb-4 addressing scheme
class SrvLb4AsSym: public VerFourAsSym {
	public:
		SrvLb4AsSym();
		SrvLb4AsSym(const String &aType, PglRec *aRec);

		virtual bool isA(const String &type) const;

	protected:
		virtual SynSym *dupe(const String &dType) const;

		virtual String robots(ArraySym *&addrs) const;
		virtual String servers(ArraySym *&addrs) const;
		virtual String proxies(ArraySym *&addrs) const;
};

#endif
