
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_XML_TABLE_H
#define PG_XML_TABLE_H

#include "xml/XmlTag.h"
#include "xml/XmlNodes.h"

// split into *.h?

class XmlTableHeader;


class XmlTable: public XmlTag {
	public:
		XmlTable(): XmlTag("table") {}
};


class XmlTableRec: public XmlTag {
	public:
		XmlTableRec(): XmlTag("tr") {}
};

class XmlTableHeader: public XmlNodes {
	public:
};


class XmlTableCell: public XmlTag {
	public:
		XmlTableCell(): XmlTag("td") {}
		XmlTableCell(const String tagname): XmlTag(tagname) {}
};

class XmlTableHeading: public XmlTableCell {
	public:
		XmlTableHeading();
		XmlTableHeading(const String &text, int colsep = 1, int rowsep = 1);
};



#endif
