
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_WARMUP_PLAN_H
#define PG_WARMUP_PLAN_H

#include "xstd/Ring.h"


// iterates through vidx values until all reachable pub worlds are ready
class WarmupPlan {
	protected:
		static void ReportProgress();
		static void CheckTermination();
		static int ReadyCount();

	protected:
		static int TheReqCnt;


	public:
		WarmupPlan(const Array<int> &visIdx);

		int selectViserv();

	protected:
		Ring<int> thePlan;
};

#endif
