
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PGL_VERSION_THREE_ADDRESS_SCHEME_H
#define PGL_VERSION_THREE_ADDRESS_SCHEME_H

#include "pgl/AddrSchemeSym.h"

class BenchSideSym;

// common class for all address schemes in version -3 workloads
class VerThreeAsSym: public AddrSchemeSym {
	public:
		VerThreeAsSym(const String &aType, PglRec *aRec);

	protected:
		String addresses(const BenchSideSym *side, int shift, ArraySym *&addrs) const;
		ArraySym *ipStrToArr(const String &str) const;
};

#endif
